For the complete documentation index, see llms.txt. This page is also available as Markdown.

Payout

How to do payout

Payout

This endpoint is used to do the actual payout.

POST https://exchanger-api.fuspay.finance/api/v1/no-auth/PartnerP2P/Payout/

Transfer to a bank account or mobile money

Headers

Name
Type
Description

Authorization*

String

partners public key

Request Body

Name
Type
Description

amount*

String

The amount that is about to be withdrawn

account_number*

String

The bank account number or mobile money number

currency*

String

This is the currency of the wallet your are withdrawing from

withdrawal_reference*

String

This is a string generated from your end to identify the withdrawal

partner_id*

String

this is your partner id on on the IPC system

intrapay_merchant_id*

String

This is your merchant ID on the Intrapay platform

signature*

String

The signature is the request body signed with the merchant secret key + Partner secret key

account_code*

String

this is the code identifying the bank ("057" for Nigerian Banks )or the mobile money providers (MPESA, MTN, VOD)

partner_callback_url

String

This is your notification URL

{ "success": true, "message": "Withdrawal initiated. Updates will be provided on callback!!!", "data": null }

Last updated